Bug 215928 - Curl requires openldap-devel for ldap queries
Curl requires openldap-devel for ldap queries
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-11-16 07:12 EST by Oskari Saarenmaa
Modified: 2014-02-25 07:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-25 07:47:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oskari Saarenmaa 2006-11-16 07:12:54 EST
Description of problem:
If openldap-devel isn't installed curl won't be able to fetch LDAP objects.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
curl -D - ldap://crl....
Actual results:
curl: (40) The liblber.so LDAP library/libraries couldn't be opened

Expected results:
[...] certificateRevocationList;binary: [...]
Comment 1 Jindrich Novy 2006-11-16 10:51:58 EST
I'm not sure we want to add openldap-devel to Requires as the ldap:// requests
aren't very frequently used. Adding openldap-devel to Requires would cause
dependency bloat, what we don't wish, considering that 99% of cURL users don't
use ldap requests. Maybe we should enable the ldap support optionally in spec
Comment 2 Oskari Saarenmaa 2006-11-16 10:59:28 EST
I agree, I don't think openldap-devel should be a dependency, but maybe curl
could store the soname of the ldap library that was available when it was built,
and try dlopen()ing that.
Comment 3 Jindrich Novy 2006-11-16 12:39:09 EST
Yes, you are right, something seems to be bad with CURL_DLLIB_NAME() function in
acinclude.m4, what tries to autodetect libraries and is used solely for
autodetection for libldap and liblber, which is broken.
Comment 4 Daniel Stenberg 2006-11-17 05:06:28 EST
The whole dynamic lib usage of ldap in (lib)curl is kind of broken but as said,
hardly anyone uses it and I would guess even less care about it enough to
actually change curl in this regard.
Comment 5 Jindrich Novy 2006-11-21 08:44:45 EST
I added options to configure file so that curl should dlopen the libldap/liblber
libraries correctly to make the ldap:// requests work.
Comment 6 Joe Orton 2006-12-18 10:53:55 EST
Why not just directly link against libldap in the first place?

There is an ABI dependency which doesn't get reflected in package depedencies by
using dlopen like this, which is pretty broken.

# rpm -q --requires curl | grep ldap
Comment 7 Daniel Stenberg 2006-12-18 11:02:54 EST
Yes, that's probably the only sane way to do it. Still, nobody cares enough to
do even that. Including myself.
Comment 9 Kamil Dudka 2014-02-25 07:47:29 EST
Reopening a bug against Fedora 6 makes no sense.  Fedora 6 is EOL since 2007 and the bug no longer exists in any currently supported Feodra release.

Note You need to log in before you can comment on or make changes to this bug.